### Hierarchy

- unknown
  - SequenceNumberMap

## Index

### Constructors

- constructor

### Methods

- addSequenceNumberEntries
- clearSequenceNumberEntriesList
- getSequenceNumberEntriesList
- serializeBinary
- setSequenceNumberEntriesList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SequenceNumberMap(): SequenceNumberMap

- Inherited from jspb.Message.constructor

  #### Returns SequenceNumberMap

## Methods

### addSequenceNumberEntries

- addSequenceNumberEntries(value?: SequenceNumberEntry, index?: number): SequenceNumberEntry

- - Defined in src/protobuf/pb_pb.d.ts:6052

  #### Parameters

  - ##### Optional value: SequenceNumberEntry

  - ##### Optional index: number

  #### Returns SequenceNumberEntry

### clearSequenceNumberEntriesList

- clearSequenceNumberEntriesList(): SequenceNumberMap

- - Defined in src/protobuf/pb_pb.d.ts:6051

  #### Returns SequenceNumberMap

### getSequenceNumberEntriesList

- getSequenceNumberEntriesList(): SequenceNumberEntry []

- - Defined in src/protobuf/pb_pb.d.ts:6049

  #### Returns SequenceNumberEntry []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6054

  #### Returns Uint8Array

### setSequenceNumberEntriesList

- setSequenceNumberEntriesList(value: SequenceNumberEntry []): SequenceNumberMap

- - Defined in src/protobuf/pb_pb.d.ts:6050

  #### Parameters

  - ##### value: SequenceNumberEntry []

  #### Returns SequenceNumberMap

### toObject

- toObject(includeInstance?: boolean): SequenceNumberMap . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6055

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SequenceNumberMap . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SequenceNumberMap

- - Defined in src/protobuf/pb_pb.d.ts:6058

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SequenceNumberMap

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SequenceNumberMap, reader: BinaryReader): SequenceNumberMap

- - Defined in src/protobuf/pb_pb.d.ts:6059

  #### Parameters

  - ##### message: SequenceNumberMap

  - ##### reader: BinaryReader

  #### Returns SequenceNumberMap

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SequenceNumberMap, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6057

  #### Parameters

  - ##### message: SequenceNumberMap

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SequenceNumberMap ): SequenceNumberMap . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6056

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SequenceNumberMap

  #### Returns SequenceNumberMap . AsObject

Generated using TypeDoc